# This is a basic configuration example for SpaceVim

# All SpaceVim options are below [options] snippet
[options]
    # set spacevim theme. by default colorscheme layer is not loaded,
    # if you want to use more colorscheme, please load the colorscheme
    # layer, the value of this option is a string.
    colorscheme = "NeoSolarized"
    colorscheme_bg = "dark"
    # Disable guicolors in basic mode, many terminal do not support 24bit
    # true colors, the type of the value is boolean, true or false.
    enable_guicolors = true
    # Disable statusline separator, if you want to use other value, please
    # install nerd fonts
    statusline_separator = "arrow"
    statusline_iseparator = "bar"
    buffer_index_type = 4
    # Display file type icon on the tabline, If you do not have nerd fonts
    # installed, please change the value to false
    enable_tabline_filetype_icon = true
    # Display current mode text on statusline, by default It is disabled,
    # only color will be changed when switch modes.
    enable_statusline_mode = true

[[layers]]
    name = "autocomplete"
    auto-completion-return-key-behavior = "complete"
    auto-completion-tab-key-behavior = "cycle"

[[layers]]
    name = "fzf"

[[layers]]
    name = "shell"
    default_position = "top"
    default_height = 30

[[layers]]
    name="colorscheme"

[[layers]]
    name = "format"
    format_on_save = false

[[layers]]
    name="core#statusline"

[[layers]]
    name="lang#toml"

[[layers]]
  name = "lang#markdown"

[[layers]]
  name = "lang#sh"

[[layers]]
    name = "lsp"

# Custom Plugins
[[custom_plugins]]
    repo = "lilydjwg/colorizer"
    merged = false

[[custom_plugins]]
    name = "jceb/vim-orgmode"



